## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor
Class ASATableSchemaEditorHandler

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.DefaultSchemaObjectEditorHandler
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.ASATableSchemaEditorHandler

All Implemented Interfaces:
  IResourceChangeHandler, ISchemaObjectEditorHandler

    public class ASATableSchemaEditorHandler

extends DefaultSchemaObjectEditorHandler
implements ISchemaObjectEditorHandler

ASA table schema object editor handler

Author:
  Idull

Constructor Summary
`ASATableSchemaEditorHandler()`

Method Summary
`void` `forceFocusObject(SQLObject object)` Should be invoked in UI thread
`java.lang.String` `generateScript()` Generates script for the current editor.
`java.lang.String` `getDisplayName()` Returns the display name of the current edited object (a meaningful name), this will be used for saving purpose.
`void` `pageChanged(int newPageIndex)` Does something with the editor when the page is changed.
`void` `setEditor(ISchemaObjectEditor editor)` Since the instance of this class will be created using the Eclipse extension API, so that we need to set the editor to the hanlder for it to use

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.DefaultSchemaObjectEditorHandler
`checkSchemaObjectExistence, dispose, doSave, doSaveAs, getAdapter, getEditorInput, getGroupExecDisplayString, getNotifier, getOpenFileAfterSaveasOption, hookInitialization, inSavingProcess, isSaveAsAllowed, refreshFromDB, resouceChanged, revert`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorHandler
`checkSchemaObjectExistence, dispose, doSave, doSaveAs, getAdapter, getNotifier, hookInitialization, inSavingProcess, isSaveAsAllowed, refreshFromDB, revert`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IResourceChangeHandler
`resouceChanged`

Constructor Detail

### ASATableSchemaEditorHandler

    public ASATableSchemaEditorHandler()

Method Detail

### generateScript

    public java.lang.String generateScript()

  Description copied from interface: `ISchemaObjectEditorHandler`
  Generates script for the current editor. This method will be invoked by doSave() to get the script

  Specified by:
    `generateScript` in interface `ISchemaObjectEditorHandler`
  Overrides:
    `generateScript` in class `DefaultSchemaObjectEditorHandler`
  Returns:

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `ISchemaObjectEditorHandler`
  Returns the display name of the current edited object (a meaningful name), this will be used for saving purpose. If nothing is returned, the editor part name will be used for saving purpose

  Specified by:
    `getDisplayName` in interface `ISchemaObjectEditorHandler`
  Overrides:
    `getDisplayName` in class `DefaultSchemaObjectEditorHandler`
  Returns:

### setEditor

    public void setEditor(ISchemaObjectEditor editor)

  Description copied from interface: `ISchemaObjectEditorHandler`
  Since the instance of this class will be created using the Eclipse extension API, so that we need to set the editor to the hanlder for it to use

  Specified by:
    `setEditor` in interface `ISchemaObjectEditorHandler`
  Overrides:
    `setEditor` in class `DefaultSchemaObjectEditorHandler`

### pageChanged

    public void pageChanged(int newPageIndex)

  Description copied from interface: `ISchemaObjectEditorHandler`
  Does something with the editor when the page is changed. This method will be called before all the obsevers of page change event get notified.

  Specified by:
    `pageChanged` in interface `ISchemaObjectEditorHandler`
  Overrides:
    `pageChanged` in class `DefaultSchemaObjectEditorHandler`

### forceFocusObject

    public void forceFocusObject(SQLObject object)

  Description copied from class: `DefaultSchemaObjectEditorHandler`
  Should be invoked in UI thread

  Specified by:
    `forceFocusObject` in interface `ISchemaObjectEditorHandler`
  Overrides:
    `forceFocusObject` in class `DefaultSchemaObjectEditorHandler`